org.wildfly.swarm.jca

## Class JCAFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.JCA<JCAFraction>
      - - org.wildfly.swarm.jca.JCAFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<JCAFraction>

      public class JCAFraction
      extends JCA<JCAFraction>
      implements Fraction<JCAFraction>

  Author:
    Bob McWhirter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.JCA

      `JCA.JCAResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCAFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCAFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static JCAFraction` | `createDefaultFraction()`

    - ### Methods inherited from class org.wildfly.swarm.config.JCA

      `addPropertyChangeListener, archiveValidation, archiveValidation, archiveValidation, archiveValidation, beanValidation, beanValidation, beanValidation, beanValidation, bootstrapContext, bootstrapContext, bootstrapContext, bootstrapContext, bootstrapContexts, cachedConnectionManager, cachedConnectionManager, cachedConnectionManager, cachedConnectionManager, distributedWorkmanager, distributedWorkmanager, distributedWorkmanager, distributedWorkmanager, distributedWorkmanagers, getKey, removePropertyChangeListener, subresources, tracer, tracer, tracer, tracer, workmanager, workmanager, workmanager, workmanager, workmanagers`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### JCAFraction

          public JCAFraction()

  - ### Method Detail

    - #### createDefaultFraction

          public static JCAFraction createDefaultFraction()

    - #### applyDefaults

          public JCAFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<JCAFraction>`
      Returns:
        this fraction.

Copyright © 2017 JBoss by Red Hat. All rights reserved.